Subject: Re: BSN eService Account Provisioned
From: "Michael B" <[email-masked]>
To: "CYNTHIA MATHENY" <[email-masked]>
Date: Mon, 17 Apr 2017 15:50:00 -0400

Hello Cynthia.
I went on to this to set it up and it looks like I did something back in 2013. The CRID below is for our old location at 809 Thomas L. Parkway, which we have not been at since 2004. The correct CRID is 2393681. It says our Mailer ID (MID) is 902064432. But I did get the response that our account is set up with business services. I added the services as you instructed below. There are no service requests now so there isn't anything to view. I'll look at it more to see what is all in there.
Thank you,
Michael B
LLPS

From: CYNTHIA MATHENY 
Sent: Wednesday, April 12, 2017 10:27 AM
To: [email-masked] 
Subject: BSN eService Account Provisioned

Thank you for your continued business with the United States Postal Service (USPS). You are receiving this email to provide instructions on how to register and enroll in the Business Service Network (BSN) eService program.
 
Customer Registration ID (CRID): 14021782
Promo Code: RYY2Y2NR
 
Instructions:

1) Navigate to the Business Customer Gateway (BCG): https://gateway.usps.com

2) Log in with your company’s existing user ID and password. If you do not have an existing account, click on Register for Free.

    a. When registering for a new account, be sure to sign up with the CRID listed above.

    b. For new users, there will be a number of Terms & Conditions which need to be accepted.

3) On the BCG homepage, click Other Services

4) For the Service entitled Business Service Network (BSN) eService ensure the button to the right is green and states Go to Service

    a.  If the button states Get Access, simply click on it to get access and it will change to green and read Go to Service

5) Click on the Go to Service button

6) Enter the Promo Code listed above

7) You will now be brought to the BSN eService homepage

For additional questions, please contact [email-masked].